Opened 6 years ago

Closed 6 years ago

Last modified 4 years ago

#171 closed defect (fixed)

TIFF 1bpp decodes incorrectly

Reported by: ami_stuff Owned by:
Priority: normal Component: avcodec
Version: unspecified Keywords: tif roundup
Cc: Blocked By:
Blocking: Reproduced by developer: yes
Analyzed by developer: yes

Description

Issue 1437

Author: ami_stuff 	Date: 2009-09-30.17:20:00 	

Attached TIFF 1bpp file without compression decodes incorrectly.

FFmpeg -i test_1bpp.tif out.bmp

--------

C:\>ffmpeg -i Test_1bpp.tif
FFmpeg version SVN-r20091, Copyright (c) 2000-2009 Fabrice Bellard, et al.
  built on Sep 30 2009 04:04:31 with gcc 4.2.4
  configuration: --enable-memalign-hack --prefix=/mingw --cross-prefix=i686-ming
w32- --cc=ccache-i686-mingw32-gcc --target-os=mingw32 --arch=i686 --cpu=i686 --e
nable-avisynth --enable-gpl --enable-zlib --enable-bzlib --enable-libgsm --enabl
e-libfaad --enable-pthreads --enable-libvorbis --enable-libtheora --enable-libsp
eex --enable-libmp3lame --enable-libopenjpeg --enable-libxvid --enable-libschroe
dinger --enable-libx264
  libavutil     50. 3. 0 / 50. 3. 0
  libavcodec    52.36. 0 / 52.36. 0
  libavformat   52.39. 0 / 52.39. 0
  libavdevice   52. 2. 0 / 52. 2. 0
  libswscale     0. 7. 1 /  0. 7. 1
Input #0, image2, from 'Test_2bpp.tif':
  Duration: 00:00:00.04, start: 0.000000, bitrate: N/A
    Stream #0.0: Video: tiff, monob, 818x305, 25 tbr, 25 tbn, 25 tbc
At least one output file must be specified
Author: cehoyos 	Date: 2009-09-30.17:32:43 	

Reproducible.
Author: kostya 	Date: 2009-10-01.05:57:42 	

obviously, TIFF decoder needs to extract each row from continuous 
data in this case, will be done sometime

Attachments (1)

Test_1bpp.tif (30.9 KB) - added by ami_stuff 6 years ago.

Download all attachments as: .zip

Change History (4)

Changed 6 years ago by ami_stuff

comment:1 Changed 6 years ago by saste

  • Analyzed by developer set
  • Component changed from undetermined to avcodec
  • Reproduced by developer set
  • Resolution set to fixed
  • Status changed from new to closed

Fixed in commit:
commit d8297ca443c8f7cc9ce3959ad287f9d380343266
Author: Stefano Sabatini <stefano.sabatini-lala@poste.it>
Date: Mon May 9 22:11:57 2011 +0200

tiff: fix linesize for mono-white/black formats


Fix decoding of file Test_1bpp.tif, fix trac issue #171.

comment:2 Changed 5 years ago by cehoyos

  • Keywords tif added

comment:3 Changed 4 years ago by cehoyos

  • Keywords roundup added
Note: See TracTickets for help on using tickets.